/*
 * Copyright 2020 Paul Rybitskyi, paul.rybitskyi.work@gmail.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.paulrybitskyi.gamedge.extensions

import com.android.build.gradle.internal.dsl.BaseFlavor
import com.android.build.gradle.internal.dsl.BuildType


fun BuildType.booleanField(name: String, value: Boolean) {
    buildConfigField("Boolean", name, value.toString())
}


fun BuildType.integerField(name: String, value: Int) {
    buildConfigField("Integer", name, value.toString())
}


fun BuildType.stringField(name: String, value: String) {
    buildConfigField("String", name, "\"$value\"")
}


fun BaseFlavor.booleanField(name: String, value: Boolean) {
    buildConfigField("Boolean", name, value.toString())
}


fun BaseFlavor.integerField(name: String, value: Int) {
    buildConfigField("Integer", name, value.toString())
}


fun BaseFlavor.stringField(name: String, value: String) {
    buildConfigField("String", name, "\"$value\"")
}